libwps: WPSInputStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# WPSInputStream Class Reference

`#include <WPSStream.h>`

Inheritance diagram for WPSInputStream:

List of all members.

## Public Member Functions
| WPSInputStream ()
virtual | ~WPSInputStream ()
virtual const uint8_t * | read (size_t numBytes, size_t &numBytesRead)=0
virtual long | tell ()=0
virtual int | seek (long offset, WPX_SEEK_TYPE seekType)=0
virtual bool | atEOS ()=0
virtual bool | isOLEStream ()=0
virtual WPXInputStream * | getDocumentOLEStream (const char *name)=0
virtual WPXInputStream * | getDocumentOLEStream ()=0

## Constructor & Destructor Documentation

WPSInputStream::WPSInputStream | ( |  | ) | `[inline]`

virtual WPSInputStream::~WPSInputStream | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const uint8_t* WPSInputStream::read | ( | size_t | numBytes,
|  | size_t & | numBytesRead |
| ) |  |  | `[pure virtual]`

Implemented in WPSFileStream, and WPSMemoryStream.

virtual long WPSInputStream::tell | ( |  | ) | `[pure virtual]`

Implemented in WPSFileStream, and WPSMemoryStream.

virtual int WPSInputStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType |
| ) |  |  | `[pure virtual]`

Implemented in WPSFileStream, and WPSMemoryStream.

virtual bool WPSInputStream::atEOS | ( |  | ) | `[pure virtual]`

Implemented in WPSFileStream, and WPSMemoryStream.

virtual bool WPSInputStream::isOLEStream | ( |  | ) | `[pure virtual]`

Implemented in WPSFileStream, and WPSMemoryStream.

virtual WPXInputStream* WPSInputStream::getDocumentOLEStream | ( | const char * | name | ) | `[pure virtual]`

Implemented in WPSFileStream, and WPSMemoryStream.

virtual WPXInputStream* WPSInputStream::getDocumentOLEStream | ( |  | ) | `[pure virtual]`

Implemented in WPSFileStream, and WPSMemoryStream.

The documentation for this class was generated from the following file:

- WPSStream.h